<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRegistryCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registry_categories', function (Blueprint $table) {
            $table->id();
            $table->char('uuid', 36)->index()->unique();
            $table->integer('registry_id')->index()->nullable();
            $table->integer('parent_id')->index()->default(0);
            $table->string('name')->index()->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('registry_categories');
    }
}
